error: xum1541 firmware version too high (8 > 7)

67 views
Skip to first unread message

Wilbur Watkins

unread,
Jan 16, 2021, 9:02:43 PMJan 16
to ZoomFloppy Users

Hello! I have an M1 mac, Big Sur, and trying to use zoomfloppy to get some writing off my old Commodore 64 disks. 

I'm getting the error: xum1541 firmware version too high (8 > 7)

For the life of me I can't find a more updated OpenCBM for Mac than the version I have which is 0.4.99.99

The mac installation instructions Spiro links to  at LALLAFA'S BLOG appears to be fairly out of date (or I am doing something wrong). I used homebrew to install OpenCBM instead..

I've researched trying to update OpenCBM or downgrade my Zoomfloppy firmware but haven't found clear instructions. 

I am not programming literate so I don't know how to compile or deal with tar files but I'm willing to learn!

Spiro Trikaliotis

unread,
Jan 17, 2021, 4:19:18 AMJan 17
to zoomflop...@googlegroups.com
Hello Wilbur,

* On Sat, Jan 16, 2021 at 06:02:43PM -0800 Wilbur Watkins wrote:

> For the life of me I can't find a more updated OpenCBM for Mac than the version
> I have which is 0.4.99.99
>
> The mac installation instructions Spiro links to at LALLAFA'S BLOG appears to
> be fairly out of date (or I am doing something wrong). I used homebrew to
> install OpenCBM instead..

I must admit I do not know anything about the MAC, so I have to depend
on what others write.

> I've researched trying to update OpenCBM or downgrade my Zoomfloppy firmware
> but haven't found clear instructions.

Upgrading OpenCBM: Depends on how you installed it.

Downgrading:

- You need the v07 firmware (get it from here:
https://raw.githubusercontent.com/OpenCBM/OpenCBM/cf693d706fdc0189d7de01f1bbb3beeeadcca249/xum1541/xum1541-ZOOMFLOPPY-v07.hex)

- Use the following command-line:
xum1541cfg update xum1541-ZOOMFLOPPY-v07.hex
(while having the file xum1541-ZOOMFLOPPY-v07.hex you just downloaded in the directory
where you are running from)

You should get an error message saying something that this will result
in a downgrade, and it will abort.

If you get this message, you can execute the downgrade by using:
xum1541cfg -f update xum1541-ZOOMFLOPPY-v07.hex

("-f" for "force)

Regards,
Spiro.

--
Spiro R. Trikaliotis
https://spiro.trikaliotis.net/

Wilbur Watkins

unread,
Jan 17, 2021, 3:14:12 PMJan 17
to ZoomFloppy Users
Hi Spiro! Thank you for the reply and also thank you for helping make OpenCBM.

I have some further questions but I know you are not a Mac person but I'll give it a shot.

1. When I try to install the downgraded firmware hex (as you kindly instructed) I get the error "xum1541-ZOOMFLOPPY-V07.hex" is not a valid Intel hex firmware file"
Do you have any guess what the issue might be?

2. In terms of upgrading my openCBM, do you know if version 0.4.99.103 would work on a Mac as you have it, or does it need to be ported to a Mac?

3. In terms of how I installed OpenCBM, I had very little luck using the lallafa.de system you originally link to for Mac installation of openCBM because that site as near as I can tell has not been updated for 7 years so every software it links to is out of date. Instead I used https://diychris.com/index.php/2020/05/25/how-to-install-use-opencbm-on-macos/.  However, the Homebrew version he links to only gives me openCBM version 4.99.99.

Anyway, thank you again. I am not a programmer and have never tinkered around in Terminal before but it has been kind of fun!

If there is a more Mac oriented person I should ask these questions please let me know. And have a great day!

Wilbur

Nate Lawson

unread,
Jan 17, 2021, 6:59:19 PMJan 17
to ZoomFloppy Users
I use a Mac. It works fine, though I agree instructions are outdated. I’ll respond tonight.
> --
> You received this message because you are subscribed to the Google Groups "ZoomFloppy Users" group.
> To unsubscribe from this group and stop receiving emails from it, send an email to zoomfloppy-use...@googlegroups.com.
> To view this discussion on the web visit https://groups.google.com/d/msgid/zoomfloppy-users/5946d57b-e56a-4bdf-b8fa-89369aaeeddcn%40googlegroups.com.

Wilbur Watkins

unread,
Jan 19, 2021, 11:35:05 AMJan 19
to ZoomFloppy Users
Thanks a ton, Nate! Hope you are well.

Wilbur Watkins

unread,
Jan 21, 2021, 11:42:55 AMJan 21
to ZoomFloppy Users
Hi Nate, just following up on this and if you had a chance to think about it. Thanks!

Luc

unread,
Jan 28, 2021, 6:31:09 PMJan 28
to ZoomFloppy Users
I'm stuck at the very same place. Nate, would appreciate your help. Went through the same troubles Wilbur did. Would love to install the latest opencbm on Mac to use it with ZoomFloppy. Thanks---

mthi...@gmail.com

unread,
Feb 9, 2021, 3:12:37 PMFeb 9
to ZoomFloppy Users
The mac installation instructions Spiro links to  at LALLAFA'S BLOG appears to be fairly out of date (or I am doing something wrong). I used homebrew to install OpenCBM instead..

It's been a while but I think the Portfile from the opencbm repository worked for me.
Reply all
Reply to author
Forward
0 new messages